package com.goafanti.user.bo;

import java.util.Date;

import org.apache.commons.lang3.time.DateFormatUtils;

import com.goafanti.common.constant.AFTConstants;

public class InterestUserListBo {
	private String	interestId;

	private String	uid;

	private String	username;

	private Long	number;

	private String	unitName;

	private String	userProvince;

	private String	orgProvince;

	private Date	createTime;

	private Integer	type;

	private Integer	demandNum;

	private Integer	achievementNum;

	private String	personPortraitUrl;

	private String	logoUrl;

	public String getUid() {
		return uid;
	}

	public void setUid(String uid) {
		this.uid = uid;
	}

	public Integer getDemandNum() {
		return demandNum;
	}

	public void setDemandNum(Integer demandNum) {
		this.demandNum = demandNum;
	}

	public Integer getAchievementNum() {
		return achievementNum;
	}

	public void setAchievementNum(Integer achievementNum) {
		this.achievementNum = achievementNum;
	}

	public String getInterestId() {
		return interestId;
	}

	public void setInterestId(String interestId) {
		this.interestId = interestId;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getUnitName() {
		return unitName;
	}

	public void setUnitName(String unitName) {
		this.unitName = unitName;
	}

	public String getUserProvince() {
		return userProvince;
	}

	public void setUserProvince(String userProvince) {
		this.userProvince = userProvince;
	}

	public String getOrgProvince() {
		return orgProvince;
	}

	public void setOrgProvince(String orgProvince) {
		this.orgProvince = orgProvince;
	}

	public String getPersonPortraitUrl() {
		return personPortraitUrl;
	}

	public void setPersonPortraitUrl(String personPortraitUrl) {
		this.personPortraitUrl = personPortraitUrl;
	}

	public String getLogoUrl() {
		return logoUrl;
	}

	public void setLogoUrl(String logoUrl) {
		this.logoUrl = logoUrl;
	}

	public String getCreateTimeFormattedDate() {
		if (this.createTime == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.getCreateTime(), AFTConstants.YYYYMMDD);
		}
	}

	public void setCreateTimeFormattedDate(String createTimeFormattedDate) {

	}

	public Long getNumber() {
		return number;
	}

	public void setNumber(Long number) {
		this.number = number;
	}

}
